帧动画资源

### Hierarchy

- FrameAnimation

### Implemented by

- FrameAnimationImpl

## Index

### Properties

- fps
- frameCount
- labels

### Methods

- destroy
- fillMcData
- getFrame
- getLabel

## Properties

### fps

fps: number

- Defined in core/FrameAnimation.ts:54

获取帧率

### frameCount

frameCount: number

- Defined in core/FrameAnimation.ts:63

获取帧数

### labels

labels: any[]

- Defined in core/FrameAnimation.ts:58

获取所有帧标签

## Methods

### destroy

- destroy(): any

- - Defined in core/FrameAnimation.ts:80

  销毁自身

  #### Returns any

### fillMcData

- fillMcData(name: string): any

- - Defined in core/FrameAnimation.ts:49

  填充帧数据

  #### Parameters

  - ##### name: string

  #### Returns any

### getFrame

- getFrame(frameIndex: number): any

- - Defined in core/FrameAnimation.ts:75

  获取帧

  #### Parameters

  - ##### frameIndex: number

  #### Returns any

### getLabel

- getLabel(name: string): any

- - Defined in core/FrameAnimation.ts:69

  根据名字获取帧标签

  #### Parameters

  - ##### name: string

  #### Returns any

Generated using TypeDoc